Index: /trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3.sln	(revision 3080)
+++ /trunk/sources/HeuristicLab 3.3.sln	(revision 3081)
@@ -43,4 +43,5 @@
 		{489CFE09-FDF7-4C89-BAB5-BD09CADD61AD} = {489CFE09-FDF7-4C89-BAB5-BD09CADD61AD}
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943} = {72104A0B-90E7-42F3-9ABE-9BBBADD4B943}
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96} = {C458C60D-33CE-42B8-8B7A-651B698A3C96}
 		{25087811-F74C-4128-BC86-8324271DA13E} = {25087811-F74C-4128-BC86-8324271DA13E}
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2} = {662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}
@@ -71,4 +72,5 @@
 		{57F38579-409D-4DD8-AB19-3F2C4A665126} = {57F38579-409D-4DD8-AB19-3F2C4A665126}
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1} = {4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}
+		{81609E8A-9757-4865-8B89-0B6603F769E8} = {81609E8A-9757-4865-8B89-0B6603F769E8}
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F} = {8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71} = {BF7D9494-A586-457B-8DF9-ED599F9E6A71}
@@ -203,4 +205,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.LS-3.3", "HeuristicLab.Algorithms.LS\3.3\HeuristicLab.Algorithms.LS-3.3.csproj", "{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.PluginAdministrator-3.3", "HeuristicLab.PluginAdministrator\3.3\HeuristicLab.PluginAdministrator-3.3.csproj", "{C458C60D-33CE-42B8-8B7A-651B698A3C96}"
 EndProject
 Global
@@ -879,34 +883,50 @@
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x64.ActiveCfg = Debug|x64
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x64.Build.0 = Debug|x64
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x86.ActiveCfg = Debug|x86
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x86.Build.0 = Debug|x86
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|Any CPU.Build.0 = Release|Any CPU
-		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x64.ActiveCfg = Release|Any CPU
-		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x86.ActiveCfg = Release|Any CPU
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x64.ActiveCfg = Release|x64
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x64.Build.0 = Release|x64
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x86.ActiveCfg = Release|x86
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x86.Build.0 = Release|x86
 		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|x64.ActiveCfg = Debug|x64
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|x64.Build.0 = Debug|x64
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|x86.ActiveCfg = Debug|x86
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Debug|x86.Build.0 = Debug|x86
 		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|Any CPU.Build.0 = Release|Any CPU
-		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|x64.ActiveCfg = Release|Any CPU
-		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|x86.ActiveCfg = Release|Any CPU
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|x64.ActiveCfg = Release|x64
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|x64.Build.0 = Release|x64
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|x86.ActiveCfg = Release|x86
+		{169F2678-85A2-41E3-8D96-5558BB537AC6}.Release|x86.Build.0 = Release|x86
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x64.ActiveCfg = Debug|x64
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x64.Build.0 = Debug|x64
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x86.ActiveCfg = Debug|x86
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x86.Build.0 = Debug|x86
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x64.ActiveCfg = Release|Any CPU
-		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x86.ActiveCfg = Release|Any CPU
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x64.ActiveCfg = Release|x64
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x64.Build.0 = Release|x64
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x86.ActiveCfg = Release|x86
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x86.Build.0 = Release|x86
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x64.ActiveCfg = Debug|x64
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x64.Build.0 = Debug|x64
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x86.ActiveCfg = Debug|x86
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x86.Build.0 = Debug|x86
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x64.ActiveCfg = Release|Any CPU
-		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x86.ActiveCfg = Release|Any CPU
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x64.ActiveCfg = Release|x64
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x64.Build.0 = Release|x64
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x86.ActiveCfg = Release|x86
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x86.Build.0 = Release|x86
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -917,6 +937,20 @@
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|Any CPU.Build.0 = Release|Any CPU
-		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x64.ActiveCfg = Release|Any CPU
-		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x86.ActiveCfg = Release|Any CPU
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x64.ActiveCfg = Release|x64
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x64.Build.0 = Release|x64
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x86.ActiveCfg = Release|x86
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x86.Build.0 = Release|x86
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Debug|x64.ActiveCfg = Debug|x64
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Debug|x64.Build.0 = Debug|x64
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Debug|x86.ActiveCfg = Debug|x86
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Debug|x86.Build.0 = Debug|x86
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Release|x64.ActiveCfg = Release|x64
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Release|x64.Build.0 = Release|x64
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Release|x86.ActiveCfg = Release|x86
+		{C458C60D-33CE-42B8-8B7A-651B698A3C96}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab 3.3/Files.txt
===================================================================
--- /trunk/sources/HeuristicLab 3.3/Files.txt	(revision 3080)
+++ /trunk/sources/HeuristicLab 3.3/Files.txt	(revision 3081)
@@ -37,4 +37,5 @@
 HeuristicLab.Persistence\3.3:HeuristicLab.Persistence-3.3.dll
 HeuristicLab.Persistence.GUI\3.3:HeuristicLab.Persistence.GUI-3.3.dll
+HeuristicLab.PluginAdministrator\3.3:HeuristicLab.PluginAdministrator-3.3.dll
 HeuristicLab.Problems.TSP\3.3:HeuristicLab.Problems.TSP-3.3.dll
 HeuristicLab.Problems.TSP.Views\3.3:HeuristicLab.Problems.TSP.Views-3.3.dll
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ConnectionSetupView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ConnectionSetupView.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ConnectionSetupView.Designer.cs	(revision 3081)
@@ -1,3 +1,23 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+namespace HeuristicLab.PluginAdministrator {
   partial class ConnectionSetupView {
     /// <summary> 
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ConnectionSetupView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ConnectionSetupView.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ConnectionSetupView.cs	(revision 3081)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -8,5 +28,5 @@
 using System.Windows.Forms;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
+namespace HeuristicLab.PluginAdministrator {
   internal partial class ConnectionSetupView : HeuristicLab.MainForm.WindowsForms.View {
     public ConnectionSetupView() {
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/EditConnectionAction.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/EditConnectionAction.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/EditConnectionAction.cs	(revision 3081)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -5,6 +25,6 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  static class EditConnectionAction {
+namespace HeuristicLab.PluginAdministrator {
+  internal static class EditConnectionAction {
     internal static void Execute(IMainForm mainForm) {
       ConnectionSetupView connectionSetup = new ConnectionSetupView();
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/EditConnectionMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/EditConnectionMenuItem.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/EditConnectionMenuItem.cs	(revision 3081)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -5,6 +25,6 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  class EditConnectionMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IUserInterfaceItemProvider {
+namespace HeuristicLab.PluginAdministrator {
+  internal class EditConnectionMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IUserInterfaceItemProvider {
     public override string Name {
       get { return "Edit Connection Properties"; }
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLab.PluginAdministrator-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLab.PluginAdministrator-3.3.csproj	(revision 3081)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLab.PluginAdministrator-3.3.csproj	(revision 3081)
@@ -0,0 +1,222 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{C458C60D-33CE-42B8-8B7A-651B698A3C96}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.PluginAdministrator</RootNamespace>
+    <AssemblyName>HeuristicLab.PluginAdministrator-3.3</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x64' ">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <Optimize>true</Optimize>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <ErrorReport>prompt</ErrorReport>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="ICSharpCode.SharpZipLib, Version=0.85.4.369, Culture=neutral, PublicKeyToken=1b03e6acf1164f73, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\HeuristicLab.PluginInfrastructure\ICSharpCode.SharpZipLib.dll</HintPath>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Runtime.Serialization">
+      <RequiredTargetFramework>3.0</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.ServiceModel">
+      <RequiredTargetFramework>3.0</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="ConnectionSetupView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ConnectionSetupView.Designer.cs">
+      <DependentUpon>ConnectionSetupView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="EditConnectionAction.cs" />
+    <Compile Include="EditConnectionMenuItem.cs" />
+    <Compile Include="HeuristicLabPluginAdministratorApplication.cs" />
+    <Compile Include="HeuristicLabPluginAdministratorPlugin.cs" />
+    <Compile Include="LicenseView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="LicenseView.Designer.cs">
+      <DependentUpon>LicenseView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="MultiSelectListView.cs">
+      <SubType>Component</SubType>
+    </Compile>
+    <Compile Include="MultiSelectListView.Designer.cs">
+      <DependentUpon>MultiSelectListView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="PluginComparisonView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="PluginComparisonView.Designer.cs">
+      <DependentUpon>PluginComparisonView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="PluginEditor.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="PluginEditor.Designer.cs">
+      <DependentUpon>PluginEditor.cs</DependentUpon>
+    </Compile>
+    <Compile Include="PluginListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="PluginListView.Designer.cs">
+      <DependentUpon>PluginListView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="PluginView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="PluginView.Designer.cs">
+      <DependentUpon>PluginView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ProductEditor.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ProductEditor.Designer.cs">
+      <DependentUpon>ProductEditor.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OpenProductEditorAction.cs" />
+    <Compile Include="OpenServerProductsEditMenuItem.cs" />
+    <Compile Include="IUserInterfaceItemProvider.cs" />
+    <Compile Include="MainForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.2\HeuristicLab.Common.Resources-3.2.csproj">
+      <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
+      <Name>HeuristicLab.Common.Resources-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.MainForm.WindowsForms\3.2\HeuristicLab.MainForm.WindowsForms-3.2.csproj">
+      <Project>{AB687BBE-1BFE-476B-906D-44237135431D}</Project>
+      <Name>HeuristicLab.MainForm.WindowsForms-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.MainForm\3.2\HeuristicLab.MainForm-3.2.csproj">
+      <Project>{3BD61258-31DA-4B09-89C0-4F71FEF5F05A}</Project>
+      <Name>HeuristicLab.MainForm-3.2</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="ConnectionSetupView.resx">
+      <DependentUpon>ConnectionSetupView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="LicenseView.resx">
+      <DependentUpon>LicenseView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="MainForm.resx">
+      <DependentUpon>MainForm.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="PluginComparisonView.resx">
+      <DependentUpon>PluginComparisonView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="PluginEditor.resx">
+      <DependentUpon>PluginEditor.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="PluginListView.resx">
+      <DependentUpon>PluginListView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="PluginView.resx">
+      <DependentUpon>PluginView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="ProductEditor.resx">
+      <DependentUpon>ProductEditor.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="HeuristicLabPluginAdministratorPlugin.cs.frame" />
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd
+SubWCRev "%25ProjectDir%25\" "%25ProjectDir%25\HeuristicLabPluginAdministratorPlugin.cs.frame" "%25ProjectDir%25\HeuristicLabPluginAdministratorPlugin.cs"</PreBuildEvent>
+  </PropertyGroup>
+</Project>
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorApplication.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorApplication.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorApplication.cs	(revision 3081)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,10 +27,10 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  [Application("Deployment service administration client")]
-  public class HeuristicLabDeploymentServiceAdminClientApplication : ApplicationBase {
+namespace HeuristicLab.PluginAdministrator {
+  [Application("Deployment Service Administrator")]
+  public class HeuristicLabPluginAdministratorApplication : ApplicationBase {
     public override void Run() {
       MainForm mainForm = new MainForm(typeof(IUserInterfaceItemProvider));
-      mainForm.Title = "Deployment Service Administration Client";
+      mainForm.Title = "Deployment Service Administrator";
       Application.Run(mainForm);
     }
Index: unk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorPlugin.cs	(revision 3080)
+++ 	(revision )
@@ -1,32 +1,0 @@
-#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Text;
-using HeuristicLab.PluginInfrastructure;
-
-namespace HeuristicLab.DeploymentService.AdminClient {
-  [Plugin("HeuristicLab.DeploymentService.AdminClient", "3.3.0.9999")]
-  [PluginFile("HeuristicLab.DeploymentService.AdminClient-3.3.dll", PluginFileType.Assembly)]
-  public class HeuristicLabDeploymentServiceAdminClientPlugin : PluginBase {
-  }
-}
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorPlugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorPlugin.cs.frame	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/HeuristicLabPluginAdministratorPlugin.cs.frame	(revision 3081)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,8 +25,11 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  [Plugin("HeuristicLab.DeploymentService.AdminClient", "3.3.0.$WCREV$")]
-  [PluginFile("HeuristicLab.DeploymentService.AdminClient-3.3.dll", PluginFileType.Assembly)]
-  public class HeuristicLabDeploymentServiceAdminClientPlugin : PluginBase {
+namespace HeuristicLab.PluginAdministrator {
+  [Plugin("HeuristicLab.PluginAdministrator", "3.3.0.$WCREV$")]
+  [PluginFile("HeuristicLab.PluginAdministrator-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.2.0.0")]
+  [PluginDependency("HeuristicLab.MainForm", "3.2.0.0")]
+  [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.2.0.0")]
+  public class HeuristicLabPluginAdministratorPlugin : PluginBase {
   }
 }
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/IUserInterfaceItemProvider.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/IUserInterfaceItemProvider.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/IUserInterfaceItemProvider.cs	(revision 3081)
@@ -1,9 +1,30 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
 using System.Text;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  interface IUserInterfaceItemProvider {
+namespace HeuristicLab.PluginAdministrator {
+  internal interface IUserInterfaceItemProvider {
   }
 }
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/LicenseView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/LicenseView.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/LicenseView.Designer.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginAdministrator {
   partial class LicenseView {
     /// <summary> 
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/LicenseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/LicenseView.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/LicenseView.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -9,6 +30,6 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  public partial class LicenseView : HeuristicLab.MainForm.WindowsForms.View {
+namespace HeuristicLab.PluginAdministrator {
+  internal partial class LicenseView : HeuristicLab.MainForm.WindowsForms.View {
 
     public LicenseView() {
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MainForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MainForm.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MainForm.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -5,6 +26,6 @@
 using HeuristicLab.MainForm.WindowsForms;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  class MainForm : DockingMainForm {
+namespace HeuristicLab.PluginAdministrator {
+  internal class MainForm : DockingMainForm {
     private System.Windows.Forms.ToolStripProgressBar progressBar;
 
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MultiSelectListView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MultiSelectListView.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MultiSelectListView.Designer.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginAdministrator {
   partial class MultiSelectListView {
     /// <summary> 
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MultiSelectListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MultiSelectListView.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/MultiSelectListView.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -8,6 +29,6 @@
 using System.Windows.Forms;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  public partial class MultiSelectListView : ListView {
+namespace HeuristicLab.PluginAdministrator {
+  internal partial class MultiSelectListView : ListView {
     public MultiSelectListView() {
       InitializeComponent();
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/OpenProductEditorAction.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/OpenProductEditorAction.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/OpenProductEditorAction.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -5,6 +26,6 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  static class OpenProductEditorAction {
+namespace HeuristicLab.PluginAdministrator {
+  internal static class OpenProductEditorAction {
     internal static void Execute(IMainForm mainForm) {
       ProductEditor editor = new ProductEditor();
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/OpenServerProductsEditMenuItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/OpenServerProductsEditMenuItem.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/OpenServerProductsEditMenuItem.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -5,6 +26,6 @@
 using HeuristicLab.MainForm;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  class OpenServerProductsEditorMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IUserInterfaceItemProvider {
+namespace HeuristicLab.PluginAdministrator {
+  internal class OpenServerProductsEditorMenuItem : HeuristicLab.MainForm.WindowsForms.MenuItem, IUserInterfaceItemProvider {
     public override string Name {
       get { return "Edit Products"; }
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginComparisonView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginComparisonView.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginComparisonView.Designer.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginAdministrator {
   partial class PluginComparisonView {
     /// <summary> 
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginComparisonView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginComparisonView.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginComparisonView.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -15,6 +36,6 @@
 using System.IO;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  public partial class PluginComparisonView : HeuristicLab.MainForm.WindowsForms.View {
+namespace HeuristicLab.PluginAdministrator {
+  internal partial class PluginComparisonView : HeuristicLab.MainForm.WindowsForms.View {
 
     public PluginComparisonView(IPluginDescription localPlugin, IPluginDescription serverPlugin) {
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginEditor.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginEditor.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginEditor.Designer.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginAdministrator {
   partial class PluginEditor {
     /// <summary> 
@@ -28,5 +49,5 @@
       this.refreshButton = new System.Windows.Forms.Button();
       this.uploadButton = new System.Windows.Forms.Button();
-      this.listView = new HeuristicLab.DeploymentService.AdminClient.MultiSelectListView();
+      this.listView = new MultiSelectListView();
       this.pluginNameHeader = new System.Windows.Forms.ColumnHeader();
       this.localVersionHeader = new System.Windows.Forms.ColumnHeader();
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginEditor.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginEditor.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginEditor.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -15,6 +36,6 @@
 using System.IO;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  public partial class PluginEditor : HeuristicLab.MainForm.WindowsForms.View {
+namespace HeuristicLab.PluginAdministrator {
+  internal partial class PluginEditor : HeuristicLab.MainForm.WindowsForms.View {
     private Dictionary<IPluginDescription, PluginDeploymentService.PluginDescription> localAndServerPlugins;
     private BackgroundWorker pluginUploadWorker;
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginListView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginListView.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginListView.Designer.cs	(revision 3081)
@@ -1,33 +1,49 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient
-{
-	partial class PluginListView
-	{
-		/// <summary> 
-		/// Required designer variable.
-		/// </summary>
-		private System.ComponentModel.IContainer components = null;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
 
-		/// <summary> 
-		/// Clean up any resources being used.
-		/// </summary>
-		/// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-		protected override void Dispose(bool disposing)
-		{
-			if (disposing && (components != null))
-			{
-				components.Dispose();
-			}
-			base.Dispose(disposing);
-		}
+namespace HeuristicLab.PluginAdministrator {
+  partial class PluginListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
 
-		#region Component Designer generated code
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
 
-		/// <summary> 
-		/// Required method for Designer support - do not modify 
-		/// the contents of this method with the code editor.
-		/// </summary>
-		private void InitializeComponent()
-		{
-      this.listView = new HeuristicLab.DeploymentService.AdminClient.MultiSelectListView();
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.listView = new MultiSelectListView();
       this.nameHeader = new System.Windows.Forms.ColumnHeader();
       this.versionHeader = new System.Windows.Forms.ColumnHeader();
@@ -66,7 +82,7 @@
       this.ResumeLayout(false);
 
-		}
+    }
 
-		#endregion
+    #endregion
 
     private MultiSelectListView listView;
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginListView.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginListView.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -9,9 +30,9 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
+namespace HeuristicLab.PluginAdministrator {
   /// <summary>
   /// Wraps a ListView and adds functionality to automatically check and uncheck dependencies of plugins.
   /// </summary>
-  public partial class PluginListView : UserControl {
+  internal partial class PluginListView : UserControl {
     public event ItemCheckedEventHandler ItemChecked;
 
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginView.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginView.Designer.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginAdministrator {
   partial class PluginView {
     /// <summary> 
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginView.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginView.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/PluginView.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -10,6 +31,6 @@
 using System.IO;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  public partial class PluginView : UserControl {
+namespace HeuristicLab.PluginAdministrator {
+  internal partial class PluginView : UserControl {
     private const string IMAGE_KEY_ASSEMBLY = "Assembly";
     private const string IMAGE_KEY_FILE = "File";
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ProductEditor.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ProductEditor.Designer.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ProductEditor.Designer.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿namespace HeuristicLab.DeploymentService.AdminClient {
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginAdministrator {
   partial class ProductEditor {
     /// <summary> 
@@ -40,5 +61,5 @@
       this.nameLabel = new System.Windows.Forms.Label();
       this.errorProvider = new System.Windows.Forms.ErrorProvider(this.components);
-      this.pluginListView = new HeuristicLab.DeploymentService.AdminClient.PluginListView();
+      this.pluginListView = new PluginListView();
       this.splitContainer.Panel1.SuspendLayout();
       this.splitContainer.Panel2.SuspendLayout();
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ProductEditor.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ProductEditor.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/ProductEditor.cs	(revision 3081)
@@ -1,3 +1,24 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
 using System.Collections.Generic;
 using System.ComponentModel;
@@ -12,6 +33,6 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.DeploymentService.AdminClient {
-  public partial class ProductEditor : HeuristicLab.MainForm.WindowsForms.View {
+namespace HeuristicLab.PluginAdministrator {
+  internal partial class ProductEditor : HeuristicLab.MainForm.WindowsForms.View {
     private BackgroundWorker refreshProductsWorker;
     private BackgroundWorker uploadChangedProductsWorker;
@@ -166,12 +187,12 @@
         }
       }
-      catch (OverflowException ex) {
+      catch (OverflowException) {
         errorProvider.SetError(versionTextBox, "Invalid value");
       }
 
-      catch (ArgumentException ex) {
+      catch (ArgumentException) {
         errorProvider.SetError(versionTextBox, "Invalid value");
       }
-      catch (FormatException ex) {
+      catch (FormatException) {
         errorProvider.SetError(versionTextBox, "Invalid value");
       }
Index: unk/sources/HeuristicLab.PluginAdministrator/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/Properties/AssemblyInfo.cs	(revision 3080)
+++ 	(revision )
@@ -1,56 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System.Reflection;
-using System.Runtime.CompilerServices;
-using System.Runtime.InteropServices;
-
-// General Information about an assembly is controlled through the following 
-// set of attributes. Change these attribute values to modify the information
-// associated with an assembly.
-[assembly: AssemblyTitle("HeuristicLab.DeploymentService.AdminClient")]
-[assembly: AssemblyDescription("")]
-[assembly: AssemblyConfiguration("")]
-[assembly: AssemblyCompany("")]
-[assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2010 HEAL")]
-[assembly: AssemblyTrademark("")]
-[assembly: AssemblyCulture("")]
-
-// Setting ComVisible to false makes the types in this assembly not visible 
-// to COM components.  If you need to access a type in this assembly from 
-// COM, set the ComVisible attribute to true on that type.
-[assembly: ComVisible(false)]
-
-// The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("863021a4-3cde-48be-8af6-dac1077f5fb5")]
-
-// Version information for an assembly consists of the following four values:
-//
-//      Major Version
-//      Minor Version 
-//      Build Number
-//      Revision
-//
-// You can specify all the values or you can default the Revision and Build Numbers 
-// by using the '*' as shown below:
-[assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.9999")]
Index: /trunk/sources/HeuristicLab.PluginAdministrator/3.3/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.PluginAdministrator/3.3/Properties/AssemblyInfo.frame	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginAdministrator/3.3/Properties/AssemblyInfo.frame	(revision 3081)
@@ -42,5 +42,5 @@
 
 // The following GUID is for the ID of the typelib if this project is exposed to COM
-[assembly: Guid("863021a4-3cde-48be-8af6-dac1077f5fb5")]
+[assembly: Guid("C0D68F25-CFA0-4b80-906B-78EA1814E62B")]
 
 // Version information for an assembly consists of the following four values:
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginValidator.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginValidator.cs	(revision 3080)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Manager/PluginValidator.cs	(revision 3081)
@@ -179,4 +179,5 @@
         catch (FileLoadException) { }
         catch (SecurityException) { }
+        catch (ReflectionTypeLoadException) { } // referenced assemblies are missing
       }
       return assemblies;
